| Gtk2Hs | Contents | Index

Graphics.UI.Gtk.Windows.WindowGroup

Portability | portable (depends on GHC)
Stability | provisional
Maintainer | gtk2hs-users@lists.sourceforge.net

Contents

Class Hierarchy
Types
Constructors
Methods

Description
Limit the effect of grabs
Synopsis

data WindowGroup
class GObjectClass o => WindowGroupClass o
castToWindowGroup :: GObjectClass obj => obj -> WindowGroup
toWindowGroup :: WindowGroupClass o => o -> WindowGroup
windowGroupNew :: IO WindowGroup
windowGroupAddWindow :: (WindowGroupClass self, WindowClass window) => self -> window -> IO ()
windowGroupRemoveWindow :: (WindowGroupClass self, WindowClass window) => self -> window -> IO ()

Class Hierarchy

     |  GObject
     |   +----WindowGroup

Types
data WindowGroup

Instances

GObjectClass WindowGroup
WindowGroupClass WindowGroup

class GObjectClass o => WindowGroupClass o

Instances

WindowGroupClass WindowGroup

castToWindowGroup :: GObjectClass obj => obj -> WindowGroup
toWindowGroup :: WindowGroupClass o => o -> WindowGroup
Constructors
windowGroupNew :: IO WindowGroup
Creates a new `WindowGroup` object. Grabs added with Graphics.UI.Gtk.General.General.grabAdd only affect windows within the same `WindowGroup`.
Methods
windowGroupAddWindow

:: (WindowGroupClass self, WindowClass window) |
=> self |
-> window | `window` - the `Window` to add
-> IO () |
Adds a window to a `WindowGroup`.

windowGroupRemoveWindow

:: (WindowGroupClass self, WindowClass window) |
=> self |
-> window | `window` - the `Window` to remove
-> IO () |
Removes a window from a `WindowGroup`.

Produced by Haddock version 2.4.2